<style type="text/css">
.ui-dialog .ui-dialog-titlebar-close 
{
    position: absolute;
    right: .3em;
    top: 50%;
    width: 20px;
    margin: -10px 0 0 0;
    padding: 1px;
    height: 20px;
    background-position: -96px -128px;
    /*background-image: url("images/ui-icons_056b93_256x240.png");*/
    background-image: url("<?=Constantes::ROOT_DIR_APP?>web/css/jquery/themes/start_1.12.1/images/ui-icons_056b93_256x240.png");
}
</style>

<script>
validacionAdicional = function()
{
    //si esta checkead empleado
    if( $( "#EsEmpleado" ).is( ":checked" ) )
    {
        if( $( "#IdCargo" ).val() == "" )
        {
            showAlertBootStrap( 'content_alert', 'alert-danger', "Seleccione el Cargo." );
            $( "#tabs" ).tabs( { active: 1 } );
            return false;
        }
        if( $( "#Sueldo" ).val() == "" )
        {
        	showAlertBootStrap( 'content_alert', 'alert-danger', "Ingrese Sueldo." );
            $( "#tabs" ).tabs( { active: 1 } );
            return false;
        }
        if( $( "#FechaInicio" ).val() == "" )
        {
        	showAlertBootStrap( 'content_alert', 'alert-danger', "Ingrese Fecha de Inicio." );
            $( "#tabs" ).tabs( { active: 1 } );
            return false;
        }
    }
    return true;
}

ejecutarGuardar = function()
{
    var strFormSerialize = $( 'form' ).serialize();
    //console.log( strFormSerialize );
    if( validacionAdicional() )
    {
    	blockContent( 'myTabContent' );
        executeAjaxJson
        (
            "<?php echo buildUrl( 'persona/saveAddEdit' ) ?>",
            strFormSerialize,
            function( o_json )
            {
                console.log( o_json );
                unBlockContent( 'myTabContent' );
                if( o_json.error )
                {
                	showAlertBootStrap( 'content_alert', 'alert-danger', o_json.mensaje_error );
                    return false;
                }
                //return false;
                switch ( o_json.type_sub )
                {
                    case "0":
                        location.href = "<?=buildUrl( 'persona/addedit', "s_TipoProc=upd&i_Id=")?>" + o_json.id;
                    break;
                    case "1":
                        location.href = "<?=buildUrl( 'persona/list' )?>";
                    break;
                }
            }
        );
    }
}

activarText = function()
{
    //return false;
    var clase_persona  = $( "#ClasePersona" ).val();
    var tipo_documento = $( "#TipoDocumento" ).val();
    
    if( clase_persona == "J" )
    {
    	$( "#TipoDocumento" ).val( "RUC" );
        
        $( "#Nombres" ).prop( "disabled", true );
        $( "#ApellidoPaterno" ).prop( "disabled", true );
        $( "#ApellidoMaterno" ).prop( "disabled", true );

        $( "#NombreCompleto" ).prop( "disabled", false );       //$( "#NombreCompleto" ).val( "" );
        $( "#Sexo" ).prop( "disabled", true );
        
        $( "#d_nombres" ).hide();
        $( "#d_razonsocial" ).show();

        $( "#DocumentoIdentidadTxt" ).hide();
        $( "#DocumentoIdentidad" ).hide();

        $( "#Documento" ).attr( "maxlength", "11");             //$( "#Documento" ).val( "" );
    }

    if( clase_persona == "N" )
    {
    	$( "#Sexo" ).prop( "disabled", false );

    	switch ( tipo_documento )
    	{
    	   case "DNI":
    		   $( "#Nombres" ).prop( "disabled", false );             //$( "#Nombres" ).val( '' );
               $( "#ApellidoPaterno" ).prop( "disabled", false );     //$( "#ApellidoPaterno" ).val( '' );
               $( "#ApellidoMaterno" ).prop( "disabled", false );     //$( "#ApellidoMaterno" ).val( '' );

               $( "#NombreCompleto" ).prop( "disabled", true );
           
               $( "#d_nombres" ).show();
               $( "#d_razonsocial" ).hide();

               $( "#DocumentoIdentidadTxt" ).hide();
               $( "#DocumentoIdentidad" ).hide();

               $( "#Documento" ).attr( "maxlength", "8");               //$( "#Documento" ).val( "" );
           break;
    	   case "RUC":
    		   $( "#Nombres" ).prop( "disabled", true );
               $( "#ApellidoPaterno" ).prop( "disabled", true );
               $( "#ApellidoMaterno" ).prop( "disabled", true );

               $( "#NombreCompleto" ).prop( "disabled", false );        //$( "#NombreCompleto" ).val( "" );
               $( "#Sexo" ).prop( "disabled", true );
               
               $( "#d_nombres" ).hide();
               $( "#d_razonsocial" ).show();

               $( "#DocumentoIdentidadTxt" ).show();
               $( "#DocumentoIdentidad" ).show();

               $( "#Documento" ).attr( "maxlength", "11");             //$( "#Documento" ).val( "" );
           break;
    	   default:
    		   $( "#Nombres" ).prop( "disabled", false );
               $( "#ApellidoPaterno" ).prop( "disabled", false );
               $( "#ApellidoMaterno" ).prop( "disabled", false );
    
               $( "#NombreCompleto" ).prop( "disabled", true );
           
               $( "#d_nombres" ).show();
               $( "#d_razonsocial" ).hide();
    
               $( "#DocumentoIdentidadTxt" ).hide();
               $( "#DocumentoIdentidad" ).hide();

               $( "#Documento" ).attr( "maxlength", "15");
               //$( "#Documento" ).val( "" );
           break; 
    	}
    }
}

validarEmpleado = function()
{
    if( $( "#EsEmpleado" ).is( ':checked' ) )
    {
        $( "#tr_usuario_login" ).show();
        //$( "#UsuarioLogin" ).addClass( "required" );
        //ahora se activa el tab de empleado
        $( "#tab_empleado" ).show();
    }
    else
    {
        $( "#tr_usuario_login" ).hide();
        $( "#UsuarioLogin" ).removeClass( "required" );
        $( "#UsuarioLogin" ).val( "" );
        //ahora se oculta el tab de empleado
        $( "#tab_empleado" ).hide();
    }
}

validarProveedorFlag = function()
{
    if( $( "#EsProveedor" ).is( ':checked' ) )
    {
        
    }
    else
    {
        
    }
}

activarCamposClientes = function()
{
    if ( $( "#EsCliente" ).is( ':checked' ) )
    {
        $( "#cboVendedorId" ).show();
        $( "#lbl_vend" ).show();
        $( "#cboVendedorId" ).prop( "disabled", false );
        //$( "#cboVendedorId" ).addClass('required');

        ///////////////////////////////////////////////////////////////////
        $( "#content_tr_10" ).show();
        
        $( "#DivisionId" ).prop( "disabled", false );
        $( "#DivisionId" ).addClass('required');

        $( "#CreditoHold" ).prop( "disabled", false );
        //$( "#CreditoHold" ).addClass('required');

        $( "#NivelPrecioId" ).prop( "disabled", false );
        $( "#NivelPrecioId" ).addClass('required');
        ///////////////////////////////////////////////////////////////////
    }
    else
    {
        $( "#cboVendedorId" ).hide();
        $( "#lbl_vend" ).hide();
        $( "#cboVendedorId" ).prop( "disabled", true );
        $( "#cboVendedorId" ).removeClass('required');

        ///////////////////////////////////////////////////////////////////
        $( "#content_tr_10" ).hide();

        $( "#DivisionId" ).prop( "disabled", true );
        $( "#DivisionId" ).removeClass('required');

        $( "#CreditoHold" ).prop( "disabled", true );
        $( "#CreditoHold" ).removeClass('required');

        $( "#NivelPrecioId" ).prop( "disabled", true );
        $( "#NivelPrecioId" ).removeClass('required');
        ///////////////////////////////////////////////////////////////////
    }
}

buscarInfoWebservice = function()
{
	var TipoDocumento = $( "#TipoDocumento" ).val();
	var Documento     = $( "#Documento" ).val();
	var ClasePersona  = $( "#ClasePersona" ).val();

	var Parametros = 'TipoProc=buscarInfoWebservice&TipoDocumento='+TipoDocumento+'&Documento='+Documento;

    blockContent( 'myTabContent' );
	
    executeAjaxJson
    (
        "<?php echo buildUrl( 'persona/request' ) ?>",
        Parametros,
        function( o_json )
        {
        	unBlockContent( 'myTabContent' );
            pr( o_json );
            if( o_json.error )
            {
            	showAlertBootStrap( 'content_alert', 'alert-danger', o_json.mensaje_error );
                return false;
            }

            if( ClasePersona == "J" )
            {
                $( "#NombreCompleto" ).val( o_json.NombreCompleto );
                $( "#Direccion" ).val( o_json.DireccionFiscal );
            }

            if( ClasePersona == "N" )
            {
            	if( TipoDocumento == "DNI" )
            	{
                    $( "#Nombres" ).val( o_json.Nombres );
                    $( "#ApellidoPaterno" ).val( o_json.ApellidoPaterno );
                    $( "#ApellidoMaterno" ).val( o_json.ApellidoMaterno );
                    
            	}
            	if( TipoDocumento == "RUC" )
                {
            		$( "#Nombres" ).val( o_json.Nombres );
                    $( "#ApellidoPaterno" ).val( o_json.ApellidoPaterno );
                    $( "#ApellidoMaterno" ).val( o_json.ApellidoMaterno );
                }
            }
        }
    )	
}
</script>

<input type="hidden" name="i_Id" id="i_Id" value="<?=$o_MST_PersonaMastBN->getIdPersona()?>">

<div id="content_alert" style=""></div>

<ul class="nav nav-tabs" id="myTab" role="tablist">
    <li class="nav-item">
        <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab" aria-controls="home" aria-selected="true" onclick="location.href='<?=buildUrl( 'persona/addedit', "s_TipoProc=$s_TipoProc&i_Id=".$o_MST_PersonaMastBN->getIdPersona() )?>';">General</a>
    </li>
    <?php if( $o_MST_PersonaMastBN->getIdPersona() ){ ?>
    <li class="nav-item">
        <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab" aria-controls="profile" aria-selected="false" onclick="location.href='<?=buildUrl( 'persona/addeditprj', "s_TipoProc=$s_TipoProc&i_Id=".$o_MST_PersonaMastBN->getIdPersona() )?>';">Proyectos</a>
    </li>
    <?php } ?>
</ul>


<div class="tab-content" id="myTabContent">

	<div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">

        <div class="" style="border-left: 1px solid rgba(0,0,0,.125); border-right: 1px solid rgba(0,0,0,.125); border-bottom: 1px solid rgba(0,0,0,.125);">

        <div class="form-row mx-0">
            <div class="col-md-6 mb-1">
            	<label class="col-form-label" for="ClasePersona">Tipo Contribuyente</label>
                <select class="form-control" name="ClasePersona" id="ClasePersona" onchange="activarText();">
                    <option value=""> - Seleccione - </option>
                    <option value="J" <?php if( $o_MST_PersonaMastBN->getTipoPersona()=="J" ){ echo "SELECTED"; } ?>> JURIDICA </option>
                    <option value="N" <?php if( $o_MST_PersonaMastBN->getTipoPersona()=="N" ){ echo "SELECTED"; } ?>> NATURAL </option>
                </select>
        	</div>
            <div class="col-md-3 mb-1">
            	<br><br>
            	<div class="form-group">
                    <div class="form-check form-check-inline">
                      <input class="form-check-input" type="checkbox" name="TipoPersona[]" id="EsCliente" value="EsCliente" <?php if( $o_MST_PersonaMastBN->getEsCliente()=="SI" ){ echo "CHECKED"; } ?> onclick="activarCamposClientes();">
                      <label class="form-check-label" for="EsCliente">Cliente</label>
                    </div>
                    <div class="form-check form-check-inline">
                      <input class="form-check-input" type="checkbox" name="TipoPersona[]" id="EsProveedor" value="EsProveedor" <?php if( $o_MST_PersonaMastBN->getEsProveedor()=="SI" ){ echo "CHECKED"; } ?> onclick="validarProveedorFlag();">
                      <label class="form-check-label" for="EsProveedor">Proveedor</label>
                    </div>
                    <div class="form-check form-check-inline">
                      <input class="form-check-input" type="checkbox" name="TipoPersona[]" id="EsEmpleado" value="EsEmpleado" <?php if( $o_MST_PersonaMastBN->getEsEmpleado()=="SI" ){ echo "CHECKED"; } ?> onclick="validarEmpleado();">
                      <label class="form-check-label" for="EsEmpleado">Empleado</label>
                    </div>
                </div>
        	</div>
            <div class="col-md-3 mb-1">
                <label class="col-form-label" for="Estado">Estado</label>
                <select class="form-control" id="Estado" name="Estado" >
                    <option value=""> - Seleccione - </option>
                    <option value="A" <?php if( $o_MST_PersonaMastBN->getEstado()=="A" ){ echo "SELECTED"; } ?>> ACTIVO </option>
                    <option value="I" <?php if( $o_MST_PersonaMastBN->getEstado()=="I" ){ echo "SELECTED"; } ?>> INACTIVO </option>
                </select>
            </div>
        </div>
        
        <div class="form-row mx-0">
            <div class="col-md-4 mb-1">
                <label class="col-form-label" for="TipoDocumento">Tipo de Documento</label>
                <select class="form-control" name="TipoDocumento" id="TipoDocumento" onchange="activarText();" onclick="" >
                    <option value=""> - Seleccione - </option>
                    <?php foreach ( MST_PersonaMastBN::getArrayTipoDocumento() as $s_Key => $s_TipoDoc ){ ?>
                        <option value="<?=$s_Key?>" <?php if( $o_MST_PersonaMastBN->getTipoDocumento()==$s_Key ){ echo "SELECTED"; } ?>> <?=$s_Key?> </option>
                    <?php } ?>
                </select>
            </div>
            <div class="col-md-4 mb-1">
                <label class="col-form-label" for="ClasePersona">Nro Documento</label>
                <div class="input-group mb-0">
                    <input class="form-control" type="text" name="Documento" id="Documento" value="<?=$o_MST_PersonaMastBN->getDocumento()?>" autocomplete="off" />
                    <div class="input-group-append">
                        <button class="btn btn-outline-secondary" type="button" onclick="buscarInfoWebservice();">
                            <!-- <span aria-hidden="true"><?=addImg( "/common/buttons/btnReview555.gif" )?></span> -->
                            <i class="fa fa-search"></i>
                        </button>          
                    </div>
                </div>
        	</div>
            <div class="col-md-4 mb-1" id="DocumentoIdentidadTxt" style="display: none;">
                <label class="col-form-label" for="DocumentoIdentidad">Documento Identidad</label>
                <input type="text" class="form-control" name="DocumentoIdentidad" id="DocumentoIdentidad" value="<?=$o_MST_PersonaMastBN->getDocumentoIdentidad()?>"  >
        	</div>
        </div>
        
        <div class="form-row mx-0" id="d_nombres">
            <div class="col-md-4 mb-1">
                <label class="col-form-label" for="Nombres">Nombres</label>
                <input type="text" class="form-control" name="Nombres" id="Nombres" value="<?=$o_MST_PersonaMastBN->getNombres()?>" autocomplete="off" >
            </div>
            <div class="col-md-4 mb-1">
                <label class="col-form-label" for="ApellidoPaterno">Apellido Paterno</label>
                <input type="text" class="form-control" name="ApellidoPaterno" id="ApellidoPaterno" value="<?=$o_MST_PersonaMastBN->getApellidoPaterno()?>" autocomplete="off" >
            </div>
            <div class="col-md-4 mb-1">
                <label class="col-form-label" for="TipoRegistro">Apellido Materno</label>
                <input type="text" class="form-control" name="ApellidoMaterno" id="ApellidoMaterno" value="<?=$o_MST_PersonaMastBN->getApellidoMaterno()?>" autocomplete="off" >
            </div>
        </div>
        <div class="form-row mx-0" id="d_razonsocial">
            <div class="col-md-6 mb-1">
                <label class="col-form-label" for="NombreCompleto">Razon Social</label>
                <input class="form-control" type="text" name="NombreCompleto" id="NombreCompleto" value="<?=$o_MST_PersonaMastBN->getNombreCompleto()?>" size="70px" autocomplete="off" />
            </div>
        </div>
        
        <div class="form-row mx-0">
            <div class="col-md-4 mb-1">
                <label class="col-form-label" for="Contacto">Contacto</label>
               <input class="form-control" type="text" name="Contacto" id="Contacto" value="<?=$o_MST_PersonaMastBN->getContacto()?>"  maxlength="120"/>
            </div>
            <div class="col-md-4 mb-1">
                <label class="col-form-label" for="Telefono">Telefono</label>
                <input class="form-control" type="text" name="Telefono" id="Telefono" value="<?=$o_MST_PersonaMastBN->getTelefono()?>" autocomplete="off" maxlength="15"/>
            </div>
            <div class="col-md-4 mb-1">
                <label class="col-form-label" for="FechaNacimiento">Fecha de Nacimiento / Inscripci&oacute;n</label>
                <input type="text" autocomplete="off" class="form-control" name="FechaNacimiento" id="FechaNacimiento" value="<?php if($o_MST_PersonaMastBN->getFechaNacimiento()) echo substr( $o_MST_PersonaMastBN->getFechaNacimiento(), 0, 10 ); else echo "";?>" 
                    style="text-align:center;" />
                <script type="text/javascript"> $( "#FechaNacimiento" ).datepicker( { dateFormat: "yy-mm-dd", changeYear:true, yearRange: "-100:+0", changeMonth: true, onClose: function (){ this.focus(); } } ); </script>
            </div>
        </div>
        <div class="form-row mx-0">
            <div class="col-md-4 mb-1">
            	<label class="col-form-label" for="Celular">Celular</label>
               	<input class="form-control" type="text" name="Celular" id="Celular" value="<?=$o_MST_PersonaMastBN->getCelular()?>"  maxlength="20"/>
            </div>
            <div class="col-md-4 mb-1">
                <label class="col-form-label" for="Email">Email</label>
                <input class="form-control" type="text" name="Email" id="Email" value="<?=$o_MST_PersonaMastBN->getEmail()?>"  maxlength="120"/>
            </div>
            <div class="col-md-4 mb-1">
                &nbsp;
            </div>
        </div>
        <div class="form-row mx-0">
            <div class="col-md-4 mb-1">
                <label class="col-form-label" for="Nacionalidad">Nacionalidad</label>
                <select class="form-control" name="Nacionalidad" id="Nacionalidad" >
                    <option value=""> - Seleccione - </option>
                    <?php foreach ( MST_PersonaMastBN::getArrayNacionalidad() as $s_Key => $s_NacionalidadDesc ){ ?>
                        <option value="<?=$s_Key?>" <?php if( $o_MST_PersonaMastBN->getNacionalidad()==$s_Key ){ echo "SELECTED"; } ?>> <?=$s_NacionalidadDesc?> </option>
                    <?php } ?>
                </select>
            </div>
            <div class="col-md-4 mb-1">
                <label class="col-form-label" for="DireccionWeb">Pagina Web</label>
                <input class="form-control" type="text" name="DireccionWeb" id="DireccionWeb" value="<?=$o_MST_PersonaMastBN->getDireccionWeb();?>" />
            </div>
            <div class="col-md-4 mb-1">
                <label class="col-form-label" for="Sexo">Sexo</label>
             	<select class="form-control" name="Sexo" id="Sexo" >
                    <option value=""> - Seleccione - </option>
                    <option value="F" <?php if( $o_MST_PersonaMastBN->getSexo()=="F" ){ echo "SELECTED"; } ?>> FEMENINO </option>
                    <option value="M" <?php if( $o_MST_PersonaMastBN->getSexo()=="M" ){ echo "SELECTED"; } ?>> MASCULINO </option>
                </select>
            </div>
        </div>
        <div class="form-row mx-0">
            <div class="col-md-3 mb-1">
                <label class="col-form-label" for="PaisId">Pa&iacute;s</label>
                <select class="form-control" id="PaisId" name="PaisId" onchange="">
                    <?php foreach( MST_PaisFN::selectActivos() as $o_MST_PaisBN ){ ?>
                    <option value="<?=$o_MST_PaisBN->getId()?>" <?php if( $o_MST_PaisBN->getId() == $o_MST_PersonaMastBN->getPaisId() ){ echo "SELECTED"; } ?> > <?=$o_MST_PaisBN->getNombre()?> </option>
                    <?php } ?>
                </select>
            </div>
        	<div class="col-md-3 mb-1">
                <label class="col-form-label" for="Departamento">Departamento</label>
                <select class="form-control" id="Departamento" name="Departamento" onchange="$('#Provincia')[0].options.length = 1; $('#Distrito')[0].options.length=1; publicForSelectAjaxJSON('<?php echo buildUrl( 'persona/request' ) ?>', $( 'form' ).serialize() + '&TipoProc=Provincia', 'Provincia');">
                    <option value=""> - Seleccione - </option>
                    <?php foreach ( $a_DptMST_Ubigeo as $i_Key => $o_DptMST_UbigeoBN ){ ?>
                    <option value="<?=$o_DptMST_UbigeoBN->getIdUbigeo()?>" <?php if( $o_MST_PersonaMastBN->getDepartamento()==$o_DptMST_UbigeoBN->getIdUbigeo() ){ echo "SELECTED"; } ?>> <?=$o_DptMST_UbigeoBN->getDescripcion()?> </option>
                    <?php } ?>
                </select>
            </div>
            <div class="col-md-3 mb-1">
                <label class="col-form-label" for="Provincia">Provincia</label>
                <select class="form-control" id="Provincia" name="Provincia" onchange="$('#Distrito')[0].options.length = 1; publicForSelectAjaxJSON('<?php echo buildUrl( 'persona/request' ) ?>', $( 'form' ).serialize() + '&TipoProc=Distrito', 'Distrito');">
                    <option value=""> - Seleccione - </option>
                    <?php if( $o_MST_PersonaMastBN->getDepartamento() ){ ?>
                        <?php foreach ( $a_PrvMST_Ubigeo as $i_Key => $o_PrvMST_UbigeoBN ){ ?>
                    <option value="<?=$o_PrvMST_UbigeoBN->getIdUbigeo()?>" <?php if( $o_MST_PersonaMastBN->getProvincia()==$o_PrvMST_UbigeoBN->getIdUbigeo() ){ echo "SELECTED"; } ?>> <?=utf8_encode($o_PrvMST_UbigeoBN->getDescripcion())?> </option>
                        <?php } ?>
                    <?php } ?>
                </select>
            </div>
            <div class="col-md-3 mb-1">
                <label class="col-form-label" for="Distrito">Distrito</label>
                <select class="form-control" id="Distrito" name="Distrito" onchange="">
                    <option value=""> - Seleccione - </option>
                    <?php if( $o_MST_PersonaMastBN->getProvincia() ){ ?>
                        <?php foreach ( $a_DstMST_Ubigeo as $i_Key => $o_DstMST_UbigeoBN ){ ?>
                    <option value="<?=$o_DstMST_UbigeoBN->getIdUbigeo()?>" <?php if( $o_MST_PersonaMastBN->getDistrito()==$o_DstMST_UbigeoBN->getIdUbigeo() ){ echo "SELECTED"; } ?>> <?=utf8_encode($o_DstMST_UbigeoBN->getDescripcion())?> </option>
                        <?php } ?>
                    <?php } ?>
                </select>
            </div>
        </div>
        <div class="form-row mx-0">
            <div class="col-md-6 mb-1">
                <label class="col-form-label" for="Direccion">Direcci&oacute;n</label>
                <textarea class="form-control" name="Direccion" id="Direccion" rows="2" ><?=$o_MST_PersonaMastBN->getDireccion();?></textarea>
            </div>
            <div class="col-md-3 mb-1">
                <label class="col-form-label" for="cboVendedorId" id="lbl_vend">Vendedor</label>
                <select class="form-control" id="cboVendedorId" name="cboVendedorId"  >
                    <option value=""> - Seleccione - </option>
                    <?php foreach ( VTA_VendedorFN::select_all() as $a_Valor) { ?>
                        <option value="<?=$a_Valor['IdPersona']?>" <?php if( $o_MST_PersonaMastBN->getClienteVendedorId()==$a_Valor['IdPersona'] ){ echo "SELECTED"; } ?> > <?=$a_Valor['NombreCompleto']?> </option>
                    <?php } ?>
                </select>
            </div>
            <div class="col-md-3 mb-1">
                <label class="col-form-label" for="EsAgenteRetenedor" id="">Es Agente Retenedor</label>
                <div class="form-inline">
                    <select class="form-control w-50" id="EsAgenteRetenedor" name="EsAgenteRetenedor"  >
                        <option value="0" <?php if( $o_MST_PersonaMastBN->getEsAgenteRetenedor()==0 ){ echo "SELECTED"; } ?> > NO </option>
                        <option value="1" <?php if( $o_MST_PersonaMastBN->getEsAgenteRetenedor()==1 ){ echo "SELECTED"; } ?> > SI </option>
                    </select>
                    <select class="form-control w-50" id="IdRetencion" name="IdRetencion"  >
                        <option value="0"> - PORCENTAJE - </option>
                        <?php foreach( MST_PersonaMastBN::getArrayRetenciones() as $i_Id => $a_Valores ){ ?>
                        <option value="<?=$i_Id?>" <?php if( $o_MST_PersonaMastBN->getIdRetencion()==$i_Id ){ echo "SELECTED"; } ?> > <?=$a_Valores['Descripcion']?> </option>
                        <?php } ?>
                    </select>
                </div>

            </div>
        </div>
        
        <div class="form-row mx-0" id="tr_usuario_login" style="display:none;">
            <div class="col-md-4 mb-1">
            	<label class="col-form-label" for="UsuarioLogin">Usuario Login</label>
               	<input class="form-control" type="text" name="UsuarioLogin" id="UsuarioLogin" value="<?=$o_MST_PersonaMastBN->getUsuarioLogin()?>" maxlength="30"/>
            </div>

            <div class="col-md-4 mb-1" >
                <div class="custom-control custom-checkbox mb-3">
                    <input type="checkbox" class="custom-control-input" id="EmpleadoVendedorFlag" name="EmpleadoVendedorFlag" value="S" <?php if( $o_MST_PersonaMastBN->getEmpleadoVendedorFlag()=="S" ){ echo "CHECKED"; } ?> onclick="activarOpcionesPorVendedor();" >
                    <label class="custom-control-label" for="EmpleadoVendedorFlag">Es Vendedor</label>
                    <div class="invalid-feedback">Es Vendedor</div>
                    <script>
                        activarOpcionesPorVendedor = function()
                        {
                            if ( $( "#EmpleadoVendedorFlag" ).is( ':checked' ) )
                            {
                                $( "#content_porcentaje" ).show();
                            }
                            else
                            {
                                $( "#content_porcentaje" ).hide();
                            }
                        }
                    </script>
                </div>
            </div>

            <div class="col-md-4 mb-1" id="content_porcentaje" style="display: none;">
                <label class="form-check-label" for="PorcentajeDscto">Porcentaje Descuento</label>
                <input class="form-control" type="text" name="PorcentajeDscto" id="PorcentajeDscto" value="<?=$o_MST_PersonaMastBN->getObjectVendedor()->getPorcentajeDscto()?>" autocomplete="off" maxlength="5"/>
            </div>
        </div>
        
        <input type="hidden" id="DivisionId" name="DivisionId" value="">
        <input type="hidden" id="CreditoHold" name="CreditoHold" value="">
        <input type="hidden" id="NivelPrecioId" name="NivelPrecioId" value="">

        <!--
        <div class="form-row mx-0">
            <div class="col-md-4 mb-1">
            	<label class="col-form-label" for="DivisionId">Division</label>
               	<select class="form-control" id="DivisionId" name="DivisionId" >
                    <option value=""> - Seleccione - </option>
                    <?php foreach ( MST_DivisionFN::select_all() as $o_MST_DivisionBN ) { ?>
                    <option value="<?=$o_MST_DivisionBN->getDivisionId()?>" <?php if( $o_MST_PersonaMastBN->getCanalCliente()==$o_MST_DivisionBN->getDivisionId() ){ echo "SELECTED"; } ?> > <?=$o_MST_DivisionBN->getDivisionDescripcion()?> </option>
                    <?php } ?>
                </select>
            </div>
            <div class="col-md-4 mb-1">
             <br><br> &nbsp; &nbsp;
                <div class="form-check form-check-inline">
                  <input class="form-check-input" type="checkbox" name="CreditoHold" id="CreditoHold" value="SI" <?php if( $o_MST_PersonaMastBN->getCreditoHold()=="SI" ){ echo "checked"; } ?>>
                  <label class="form-check-label" for="CreditoHold">Credito Hold</label>
                </div>
            </div>
            <div class="col-md-4 mb-1">
                <label class="col-form-label" for="NivelPrecioId">Nivel de Precio</label>
             	<select class="form-control" id="NivelPrecioId" name="NivelPrecioId" >
                    <option value=""> - Seleccione - </option>
                    <?php foreach ( MST_TipoPrecioFN::select_all() as $o_MST_TipoPrecioN ) { ?>
                    <option value="<?=$o_MST_TipoPrecioN->getIdTipoPrecio()?>" <?php if( $o_MST_PersonaMastBN->getNivelPrecioCliente()==$o_MST_TipoPrecioN->getIdTipoPrecio() ){ echo "SELECTED"; } ?> > <?=$o_MST_TipoPrecioN->getDescripcion()?> </option>
                    	<?php break; ?>
                    <?php } ?>
                </select>
            </div>
        </div>
        -->
    </div>

    </div>

</div>

<br>

<script type="text/javascript">
/*$( '#myTab a' ).on
(
    'click', function ( e ) 
    {
        e.preventDefault()
        $( this ).tab( 'show' )
    }
)*/
//$('#myTab li:nth-child(3) a').tab('show'); 
</script>

<script type="text/javascript">
showViewFndRuc = function()
{
    pr( $( "#ClasePersona" ).val() );
    if( $( "#ClasePersona" ).val() == "J" )
    {
        $( '#myIframe' ).attr( 'src', 'http://www.sunat.gob.pe/cl-ti-itmrconsruc/FrameCriterioBusquedaMovil.jsp' );
    }
    if( $( "#ClasePersona" ).val() == "N" )
    {
        //$( '#myIframe' ).attr( 'src', 'https://portaladminusuarios.reniec.gob.pe/validacionweb/index.html#no-back-button' );
        //$( '#myIframe' ).attr( 'src', 'https://portaladminusuarios.reniec.gob.pe/validacionweb/index.html#no-back-button' );
        window.open( "https://portaladminusuarios.reniec.gob.pe/validacionweb/index.html#no-back-button", "", "" );
    }
    $( '#dialog' ).dialog( 'open' );
}
</script>

<?=crearFuentePopupIframe( array( "div_id"=>"dialog", "iframe_id"=>"myIframe", "popup_title"=>"", "popup_width"=>"600", "popup_height"=>"500", "modal"=>false ) )?>
<?=crearFuentePopupIframe( array( "div_id"=>"dialog2", "iframe_id"=>"myIframe2", "popup_title"=>"", "modal" => true ) )?>

<?php if( $o_MST_PersonaMastBN->getEsEmpleado()=="SI" ){ ?> <script> validarEmpleado(); </script> <?php } ?>
<?php if( $o_MST_PersonaMastBN->getEsProveedor()=="SI" ){ ?> <script> validarProveedorFlag(); </script> <?php } ?>

<div id="dialog"><iframe id="myIframe" src="" frameborder="0" height="100%" width="100%" mozbrowser remote></iframe></div>

<script>
    objMainTab.modalUIDialog( "#dialog", { title : "Auditoria", width : 425, height  : 230 } );
</script>

<script>
//activarText();
activarCamposClientes();

$(document).ready(function () 
{
    $.validator.addMethod
    ( 
        "Documento", function(value, element) 
        {
            if( $( "#Documento" ).val() == "00000000" )
            {
                return true;
            }
            var response;
            cadena_values = $( 'form' ).serialize();
            $.ajax({
                type: "GET",
                url:  "<?php echo buildUrl( 'persona/request' ) ?>",
                data: cadena_values + "&TipoProc=ValidarDocumento",
                async:false,
                success:function(data){
                    response = data;
                }
            });

            if( $( "#Documento" ).val() == "<?=$o_MST_PersonaMastBN->getDocumento()?>" )
            {
                return true;
            }
            if(response == 0)
            {
                return true;
            }
            else if(response == 1)
            {
                return false;
            }
        }, 
        "Documento ya existe."
    );

    $.validator.setDefaults
    (
        {
            submitHandler: function( form )
            {
                ejecutarGuardar();
            },
             rules: {
                Documento: {
                    Documento: true,
                    required: true
                }
            }
        }
    );
    $( "#form1" ).validate();
});
</script>

<script type="text/javascript">
$( "#tab_empleado" ).hide();

<?php if( $o_MST_PersonaMastBN->getIdPersona() ){ ?>
    <?php if( $o_MST_PersonaMastBN->getEsEmpleado() ){ ?>
        $( "#tab_empleado" ).show();
    <?php } ?>
<?php } ?>
</script>

<script type="text/javascript">
//por defecto
/*$( "#ClasePersona" ).val( "N" );*/
$( "#ClasePersona" ).trigger( "change" );
activarOpcionesPorVendedor();
</script>

<?php if( $s_TipoProc == "shw" ){ ?>
<script>
convertirTextoTodosLosInputs = function()
{
	pr( "Ingresa" );

	$.each
	(
		$('input, select, textarea, button'), function()
		{
	    	//pr( this );
	    	var nodeName = typeof $( this ).attr( 'nodeName' ) === 'undefined' ? $( this ).prop( 'nodeName' ) : $( this ).attr( 'nodeName' );
            var nodeType = $( this ).attr( 'type' );

            //console.log( nodeName + " - " + nodeType );

            if( $( this ).length > 0 )
            {
                switch( nodeName )
                {
                    case "SELECT":
                    	$( this ).prop( "disabled", true );
                    break;
                    case "TEXTAREA":
                    	pr( this );
                    	$( this ).prop( "disabled", true );
                    break;
                    case "INPUT":
                        switch( nodeType )
                        {
                            case "textarea":
                            	//pr( this );
                            break;
                            case "text":
                            	//pr( this );
                            	$( this ).prop( "disabled", true );
                            break;
                            case "button":
                            	//$( this ).prop( "disabled", true );
                            break;
                            case "checkbox":
                            	$( this ).prop( "disabled", true );
                            break;
                            case "hidden":
                                $( this ).remove();
                            break;
                        }
                    break;
                    case "BUTTON":
                        pr( $( this ).attr('class') );
                        if( $( this ).attr('id') != "btnAudi" && $( this ).attr('class') == "index.js:128 ui-dialog-titlebar-close" )
                        {
                    		$( this ).prop( "disabled", true );
                        }
                    break;
                }
            }
		}
	);
}
convertirTextoTodosLosInputs();
</script>
<?php } ?>
